"use server";
import HomeActions from "@/app/[locale]/_home/HomeActions";
import HomeGames from "@/app/[locale]/_home/HomeGames";
import Box from "@/components/Box";
import Layout from "@/components/Layout";
import HomeCard from "./_home/HomeCard";
import HomeSearch from "./_home/HomeSearch";
import HomeSwiper from "./_home/HomeSwiper";

async function App() {
    // const t = useTranslations("global");
    // const data = await fetch("http://206.168.191.125:8800/v1/api/front/game_list");
    // console.log(`🎯🎯🎯🎯🎯-> in page.tsx on 13`, data);
    return (
        <Layout>
            <div>
                <Box>
                    <HomeSwiper></HomeSwiper>
                    <HomeCard></HomeCard>
                </Box>
                <Box className={"pb-[0.0394rem]"}>
                    <HomeSearch />
                </Box>
                {/*todo HomeTabs*/}
                <HomeGames />
                <Box>
                    <HomeActions />
                </Box>
            </div>
        </Layout>
    );
}

export default App;
